%define upstream_name	 Class-Inspector
%define upstream_version 1.28

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Get information about a class and its structure 
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Class/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker) >= 6.590.0
BuildRequires: perl(File::Spec) >= 0.800.0
BuildRequires: perl(Test::More) >= 0.470.0
BuildArch:  noarch

%description
Class::Inspector allows you to get information about a loaded class.
Most or all of this information can be found in other ways, but they
arn't always very friendly, and usually involve a relatively high level
of Perl wizardry, or strange and unusual looking code. Class::Inspector
attempts to provide an easier, more friendly interface to this
information.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes LICENSE META.yml MYMETA.yml README
%{perl_vendorlib}/Class
%{_mandir}/*/*

%changelog

* Sun Jan 13 2013 umeabot <umeabot> 1.280.0-2.mga3
+ Revision: 364404
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Nov 06 2012 jquelin <jquelin> 1.280.0-1.mga3
+ Revision: 314861
- update to 1.28

* Wed Jan 25 2012 jquelin <jquelin> 1.270.0-1.mga2
+ Revision: 200836
- update to 1.27

* Tue Feb 22 2011 jquelin <jquelin> 1.250.0-1.mga1
+ Revision: 56503
- update to 1.25

* Wed Jan 19 2011 jquelin <jquelin> 1.240.0-1.mga1
+ Revision: 23970
- cleanup spec file
- imported package perl-Class-Inspector

